package cn.palmte.work.bean;

public enum  IndustrySceneEnum {
    PLAN_O(-1,""),
    PLAN_A(1,"信息安全"),
    PLAN_B(2,"政府"),
    PLAN_C(3,"公安"),
    PLAN_D(4,"企业"),
    PLAN_E(5,"教育"),
    PLAN_F(6,"交通"),
    PLAN_G(7,"医疗"),
    PLAN_H(8,"电力能源"),
    PLAN_I(9,"运营商"),
    PLAN_J(10,"金融"),
    PLAN_K(11,"专网"),
    PLAN_L(12,"其他"),
    PLAN_M(13,"互联网"),
    PLAN_N(14,"银行");

    private int scene;
    private String scenario;

    IndustrySceneEnum(int scene, String scenario) {
        this.scene = scene;
        this.scenario = scenario;
    }

    public int getScene() {
        return scene;
    }

    public void setScene(int scene) {
        this.scene = scene;
    }

    public String getScenario() {
        return scenario;
    }

    public void setScenario(String scenario) {
        this.scenario = scenario;
    }

    public static IndustrySceneEnum parseScene(int scene){
        if(scene == 1){
            return PLAN_A;
        }
        if(scene == 2){
            return PLAN_B;
        }
        if(scene == 3){
            return PLAN_C;
        }
        if(scene == 4){
            return PLAN_D;
        }
        if(scene == 5){
            return PLAN_E;
        }
        if(scene == 6){
            return PLAN_F;
        }
        if(scene == 7){
            return PLAN_G;
        }
        if(scene == 8){
            return PLAN_H;
        }
        if(scene == 9){
            return PLAN_I;
        }
        if(scene == 10){
            return PLAN_J;
        }
        if(scene == 11){
            return PLAN_K;
        }
        if(scene == 12){
            return PLAN_L;
        }
        if(scene == 13){
            return PLAN_M;
        }
        if(scene == 14){
            return PLAN_N;
        }
        throw new IllegalArgumentException("Unkown scene:"+scene);
    }
}
